<div class="page-title">
    <div>
        <h1>Event</h1>
        <ul class="breadcrumb side">
            <li><a data-ui-sref="/" style="color:#676a6d"><i class="lnr lnr-home lnr-md"></i></a></li>
            <li class="active"><a data-ui-sref="event">Event</a></li>
        </ul>
    </div>
</div>
<div class="col-md-12 no-padding">
    <div class="card">
        <div class="card-body">
            <div class="col-md-12 no-padding">
	                		<div class="form-item" data-ng-class="{'has-error':recordForm.IsActive.$error.required && vm.onClickValidation}">
							  	<div class="toggle lg">
	                            <h4>
	                                IsActive
	                                <input type="checkbox" data-ng-model="vm.record.isActive"><span class="button-indecator"></span>
	                            </h4>
								<div class="error-message" data-ng-if="recordForm.IsActive.$error.required && vm.onClickValidation">IsActive is required</div>
			                </div>
							<div class="clearfix"></div>
	                		<div class="form-item" data-ng-class="{'has-error':recordForm.Title.$error.required && vm.onClickValidation}">
			                	<h4>Title</h4>
									<input class="form-control" type="text" name="Title" required="required" data-ng-model="vm.record.title"> 
								<div class="error-message" data-ng-if="recordForm.Title.$error.required && vm.onClickValidation">Title is required</div>
			                </div>
							<div class="clearfix"></div>
	                		<div class="form-item" >
			                	<h4>Description</h4>
									<textarea class="form-control" rows="10" name="Description"  data-ng-model="vm.record.description"></textarea>
								<div class="error-message" data-ng-if="recordForm.Description.$error.required && vm.onClickValidation">Description is required</div>
			                </div>
							<div class="clearfix"></div>
	                		<div class="form-item" >
			                	<h4>StartDate</h4>
							  	<input class="form-control datepicker" name="StartDate" type="text" placeholder="Select StartDate Date" required="required" data-ng-model="vm.StartDateDate">
								<div class="error-message" data-ng-if="recordForm.StartDate.$error.required && vm.onClickValidation">StartDate is required</div>
			                </div>
							<div class="clearfix"></div>
	                		<div class="form-item" >
			                	<h4>EndDate</h4>
							  	<input class="form-control datepicker" name="EndDate" type="text" placeholder="Select EndDate Date" required="required" data-ng-model="vm.EndDateDate">
								<div class="error-message" data-ng-if="recordForm.EndDate.$error.required && vm.onClickValidation">EndDate is required</div>
			                </div>
							<div class="clearfix"></div>
	                		<div class="form-item" >
			                	<h4>File</h4>
								<div class="error-message" data-ng-if="recordForm.File.$error.required && vm.onClickValidation">File is required</div>
			                </div>
							<div class="clearfix"></div>
            <div class="mt-20 text-right">
                <button class="btn btn-primary icon-btn" type="button" data-ng-click="vm.save(recordForm.$valid)">Save</button>
            </div>
        </div>
    </div>
</div>

